/loans

List loans with pagination. Returns a paginated list of loans filterable by borrower, status, dates, and loan type.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
borrower
array of strings

Search by borrower company number (e.g. SIREN or NIF)

borrower
date-time
Defaults to null

Returns loans where contractual_repayment_date field is greater or equal to this date.

date-time
Defaults to null

Returns loans where contractual_repayment_date field is lower to this date.

string
Defaults to null

Pagination cursor from the previous response's next_page field. Omit to get the first page.

boolean
Defaults to null

Returns loans for which the guarantee was called

string
Defaults to null

Entity legally responsible to payback the loan

id
array of uuids

Filter by one or more loan UUIDs.

id
loan_type
array of strings
loan_type
integer
Defaults to 100

Maximum number of items to return per page.

boolean
Defaults to null

Returns loans that have been postponed

string
Defaults to null

Search for loans based on one or more of the following fields: loan ID, invoice number, amount, estimated fees, status, or counterparty name.

string
enum
Defaults to null

Specify the sorting field and order. Default sorting: created_at DESC. Possible values: ['created_at:asc', 'created_at:desc', 'to_repay_at:asc', 'to_repay_at:desc', 'to_pay_at:asc', 'to_pay_at:desc']

Allowed:
status
array of strings

Loan statuses. Possible values: ['SUBMITTED', 'PENDING_VALIDATION', 'TO_VALIDATE', 'DECLINED', 'VALIDATED', 'CANCELED', 'SCHEDULED', 'INITIATED', 'TO_REPAY', 'TO_REPAY_FEES', 'CLOSED', 'ISSUE_DETECTED', 'DELETED']

status
date-time
Defaults to null

Returns loans where pay_at field is greater or equal to this date.

date-time
Defaults to null

Returns loans where pay_at field is lower to this date.

date-time
Defaults to null

Returns loans where repay_at field is greater or equal to this date.

date-time
Defaults to null

Returns loans where repay_at field is lower to this date.

integer
Defaults to null

Shorthand alias for to_repay_at_from=now() and to_repay_at_to=now().plus(x, 'days'). Mutually exclusive with to_repay_at_from & to_repay_at_to.

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*